@import "styles/constants";

.containerModify {
  margin: 0 auto;
  padding: 0 15px;
  width: 650px;

  @media screen and (max-width: $width-mobile) {
    width: 100%;
  }

  .productModify {
    position: relative;
    background-color: #fff;
    margin-bottom: 12px;
    border-radius: 4px;
    width: 620px;

    @media screen and (max-width: $width-mobile) {
      width: 100%;
    }

    &:first-child {
      box-shadow: 0 1px 24px 0 rgba(0, 0, 0, 0.24);
    }

    .container {
      max-width: 970px;
      padding-bottom: 50px;
      margin-bottom: 50px;
      width: 100%;
      @media screen and (max-width: $width-mobile) {
        margin-bottom: 15px;
      }
    }

    .productSpicinessSlider {
      background-color: $white;
      width: 620px;

      @media screen and (max-width: $width-mobile) {
        width: 100%;
      }
    }

    .wrapProductSpicinessSlider {
      position: relative;
    }

    .whiteArea {
      background-color: #fff;
    }

    .productInfo {
      @media screen and (max-width: $width-mobile) {
        padding: 15px 15px 0;
      }
    }

    .productInfoWrap {
      position: relative;
      max-width: 615px;
      margin: 0 auto;

      .aboutBlock {
        + div {
          > div {
            &:first-of-type {
              padding-bottom: 0 !important;
            }
          }
        }
      }
    }

    .backgroundWhite {
      background-color: white;
    }

    .wrapContains {
      position: relative;
      padding-top: 30px;
      @media screen and (max-width: $width-mobile) {
        padding-top: 25px;
      }
    }

    .spicinessScale {
      position: absolute;
      display: flex;
      justify-content: space-between;
      right: 0;
      left: 0;
      margin-top: 8px;

      span {
        position: relative;
        font-size: 18px;
        display: block;
        white-space: nowrap;
        @media screen and (max-width: $width-mobile) {
          font-size: 12px;
        }

        &:nth-child(1) {
          text-align: left;
        }

        &:nth-child(2) {
          text-align: center;
        }

        &:nth-child(3) {
          text-align: center;
        }

        &:nth-child(4) {
          text-align: right;
        }
      }
    }

    .productImage {
      position: relative;
      height: 414px;
      max-width: 100%;
      background-position: center center;
      background-repeat: no-repeat;
      background-size: cover;
      margin-top: 48px;
      margin-bottom: 46px;

      @media screen and (max-width: $width-mob) {
        margin: 15px 0 0;
        height: 62vw;
      }

      img {
        height: 100%;
        border-radius: 4px 4px 0 0;
        object-fit: cover;
      }

      .stickyHeader {
        .header {
          background: transparent !important;
        }
      }
    }

    .aboutBlock {
      margin-top: 20px;
      @media screen and (max-width: $width-mobile) {
        margin-top: 10px;
      }

      .productDescription {
        margin-top: 20px;
        margin-bottom: 56px;
        text-align: center;
        font-size: 18pt;
        @media screen and (max-width: $width-mobile) {
          font-size: 10pt;
          margin-bottom: 40px;
        }
      }
    }

    .productsDescription {
      margin-top: 20px;
      margin-bottom: 15px;
      text-align: center;
      font-size: 18pt;
      @media screen and (max-width: $width-mobile) {
        font-size: 10pt;
      }
    }

    .paramsBlock {
      @media screen and (max-width: $width-mobile) {
        height: 86px;
        margin-bottom: 0;
      }
      margin-bottom: 258px;

      > div {
        height: 148px;
      }

      .productParams {
        color: $bgcolor-red;
        justify-content: space-between;
        display: flex;
        align-items: center;
        flex-direction: column;

        p {
          font-size: 13pt;
        }

        img {
          @media screen and (max-width: $width-mobile) {
            width: 100%;
          }
        }
      }
    }

    .switchesContainer {
      justify-content: center;
      align-items: flex-start;
      display: flex;
      flex-wrap: wrap;

    }

    .fixedOrder {
      position: relative;

    }

    .button {
      height: 56px;
      width: 100%;
      text-transform: uppercase;
      font-size: 24px;
      line-height: 1;
      padding: 0 5px 7px;
      outline: none;

      &:active,
      &:focus,
      &:hover,
      &:visited {
        outline: none;
      }

      @media screen and (max-width: $width-mobile) {
        height: 40px;
        font-size: 18px;
        padding: 0 5px 5px;
      }
    }

    .buyButton {
      @extend .button;
      color: #fff;
      border-radius: 3px;
      border: 1px solid transparent;
      max-width: 370px;
      width: 100%;
      display: block;
      background-color: $bgcolor-red;
      transition: background, color, border-color, 0.25s;

      &:hover {
        background-color: transparent;
        color: $bgcolor-red;
        border-color: $bgcolor-red;
      }

      &:active {
        background: $bgcolor-red;
        color: #fff;
      }

      @media screen and (max-width: $width-mobile) {
        height: 40px;
        margin: 0 auto;
        text-align: center;
        transition: none;
      }
    }

    .productName {
      color: #000;
      font-size: 24px;
      text-align: center;
      margin-bottom: 11px;
      line-height: 28px;
      @media screen and (max-width: $width-mobile) {
        font-size: 24px;
        margin-bottom: 19px;
      }
    }

    .productSubName {
      font-size: 20px;
      line-height: 28px;
      color: black;
      text-align: center;
      margin-bottom: 23px;
      @media screen and (max-width: $width-mobile) {
        line-height: 19px;
        font-size: 16px;
        margin-top: 7px;
        margin-bottom: 35px;
      }
    }

    .productLabel {
      background-color: $bgcolor-red;
      position: absolute;
      bottom: -20px;
      left: 4%;
      height: 122px;
      border-radius: 50%;
      text-align: center;
      font-size: 16px;
      transform: rotate(-20deg);
      color: white;
      width: 122px;
      display: flex;
      align-items: center;
      justify-content: center;
      z-index: 2;

      @media screen and (max-width: $width-mobile) {
        height: 60px;
        width: 60px;
        font-size: 12px;
        bottom: -7px;
        left: 6px;
      }
    }

    .cartBox {
      @media screen and (max-width: $width-mobile) {
        background-image: url('/icons/sprite_cart.svg');

        .cartBoxCounter {
          background-color: $bgcolor-red;
          color: white;
        }
      }
    }

    .buyButton {
      @extend .button;
      color: #fff;
      width: 100%;
      border: 1px solid transparent;
      background-color: $bgcolor-red;
      transition: all 0.25s;
      height: 50px;
      @media screen and (min-width: $width-mobile) {
        &:hover {
          background-color: white;
          border-color: $bgcolor-red;
          color: $bgcolor-red;
        }
      }

      &:active {
        background: $bgcolor-red;
        color: #fff;
      }

      @media screen and (max-width: $width-mobile) {
        margin-top: 5px;
      }
    }

    .buyWithExtrasButton {
      @extend .buyButton;
      width: 65%;
      @media screen and (max-width: $width-mobile) {
        height: 40px;
      }
    }

    .extrasButton {
      height: 50px;
      @extend .button;
      color: #fff;
      width: 50%;
      float: left;
      border-radius: 3px;
      margin-left: 2%;
      border: 1px solid transparent;
      background-color: #000;
      transition: all 0.25s;

      &:hover {
        background-color: white;
        border-color: #000;
        color: #000;
      }

      &:active {
        background: #000;
        color: #fff;
      }

      @media screen and (max-width: $width-mobile) {
        margin-top: 5px;
        height: 40px;
      }
    }

    .stickyBtnProduct {
      z-index: 99999;

      &.sticky {
        top: 14px !important;
        @media (min-width: 768px) {
          .check {
            max-width: 350px;
            margin: 0 auto;
          }
        }
        @media (max-width: 768px) {
          position: static !important;
        }
      }
    }
  }
  .sectionSlider {
    margin-top: 44px;
  }

  .addButton {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0px 40px;
  }

}
